# Get uploads

| **Description** | Get all uploads for a given timestamp.                   |
| --------------- | -------------------------------------------------------- |
| **Endpoint**    | `/path/{pathId}/pointCloud/timestamp/{timestampId}/file` |
| **Method**      | GET                                                      |

### Access Level Rules

| **Minimum Access Level** | view |
| ------------------------ | ---- |

## Processing Units

| **Minimum processing units** | 2 |
| ---------------------------- | - |

### Parameters

<table><thead><tr><th width="169">Name</th><th width="328">Description</th><th>Required</th><th width="173">Default</th></tr></thead><tbody><tr><td><code>pathId</code></td><td>The id of the point cloud layer.</td><td>true</td><td></td></tr><tr><td><code>timestampId</code></td><td>The id of the timestamp to get uploads of.</td><td>true</td><td></td></tr><tr><td><code>pageStart</code></td><td>JSON with required property "startDate" and optional property "pagingId" defining where to start the retrieval of results from.</td><td>false</td><td>Default null.</td></tr><tr><td><code>pageSize</code></td><td>The maximum number of uploads to retrieve. Maximum 100.</td><td>false</td><td>Default 100.</td></tr><tr><td><code>status</code></td><td>String filter which status the retrieved uploads should have. Must be one of "completed", "errored" or "pending".</td><td>false</td><td>Default null.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-pointcloud/timestamps/point-cloud-uploads/get-uploads.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
